libsdl-perl (2.548-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 09:49:09 +0100

libsdl-perl (2.548-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Aug 2022 18:06:35 +0200

libsdl-perl (2.548-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Fix spelling of my last name in old changelog entry.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Add debian/upstream/metadata.
  * Refresh 4 patches (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.1.4.
  * Bump debhelper compatibility level to 10.
  * Fix typo in patch description (debian/patches/reproducible-build).
    Thanks to lintian.
  * Set bindnow linker flag in debian/rules.
  * Install examples shipped in tarball. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Jun 2018 19:52:26 +0200

libsdl-perl (2.546-3) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Niko Tyni ]
  * Work around core_audiospec.t autopkgtest problems with newer Test-Simple
    (Closes: #837145)

 -- Niko Tyni <ntyni@debian.org>  Sun, 18 Sep 2016 19:31:04 +0300

libsdl-perl (2.546-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest. Add more auxiliary directories to testbed.
    (Closes: #788570)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jun 2015 00:35:16 +0200

libsdl-perl (2.546-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Refresh patch hardcode-default-font; fuzz due to version skew.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominique Dumont ]
  * Imported Upstream version 2.546
  * control:
    + reproducible builds: Added build-dep
      on libmodule-build-perl >= 0.421100-2
    + added Testsuite: autopkgtest-pkg-perl
    * updated std-versions
    * BD on libalien-sdl-perl >= 1.446
  * copyright: updated years
  * refreshed patches
  * rm patch relax-module-build, as repro build depends on 0.421100-2
  * added patch to get reproducible builds

 -- Dominique Dumont <dod@debian.org>  Fri, 22 May 2015 13:17:00 +0200

libsdl-perl (2.542-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 2.542 (Closes: #744896, #745229)
  * copyright: updated year
  * refreshed patches

 -- Dominique Dumont <dod@debian.org>  Wed, 23 Apr 2014 12:23:12 +0200

libsdl-perl (2.540-5) unstable; urgency=medium

  * Team upload.
  * Replace ttf-freefont with fonts-freefont-ttf in Suggests.
    Thanks to Christian Perrier for the bug report. (Closes: #738231)
  * debian/copyright: various updates (format and copyright holders).
  * Use debhelper 9.20120312 to get all hardening flags.

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Feb 2014 21:22:39 +0100

libsdl-perl (2.540-4) unstable; urgency=medium

  * control: updated standard-versions to 3.9.5
  * copyright: updated years
  * added patch to fix Inline::C failure on i386 (Closes: #730549)

 -- Dominique Dumont <dod@debian.org>  Thu, 09 Jan 2014 19:14:52 +0100

libsdl-perl (2.540-3) unstable; urgency=low

  * Added patch to fix runaway test (Closes: #721405)
  * control: added version 1.440-2 to dependency on libalien-sdl-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 08 Sep 2013 08:54:17 +0200

libsdl-perl (2.540-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * patch to hard code default font path (Closes: #682338)
  * copyright: updated year
  * control: bump standard version
  * control: replaced dep ttf-sil-gentium-basic -> fonts-sil-gentium-basic

 -- Dominique Dumont <dod@debian.org>  Fri, 03 May 2013 14:32:59 +0200

libsdl-perl (2.540-1) unstable; urgency=low

  * new upstream version
  * watch: going back to tracking only released version, not the dev ones
  * patches:
    - removed spelling fix that no longer apply
    + patch to relax Module::Build version req. 0.38 is enough
    + patch to fix centered text in SDLx::Text

 -- Dominique Dumont <dod@debian.org>  Mon, 28 May 2012 10:49:42 +0200

libsdl-perl (2.537~02-2) unstable; urgency=low

  * Imported Upstream version 2.537~02:
    * updated tests should fix more or less random FTBS on
      slow architectures (armel or armhf)
  * control: bumped standard version
  * copyright: updated format url
  * control: build-depend on libalien-sdl-dev-perl, removed unnessary
    lib*-dev dependencies

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Feb 2012 16:33:48 +0100

libsdl-perl (2.536-1) unstable; urgency=low

  [ Dominique Dumont ]
  * Imported Upstream version 2.536
  * control: added missing dependency on libalien-sdl-perl and libtie-
    simple-perl
  * copyright: updated (c) years for 2012

  [ gregor herrmann ]
  * Adjust debian/watch to developer release versioning.

 -- Dominique Dumont <dod@debian.org>  Tue, 31 Jan 2012 21:13:53 +0100

libsdl-perl (2.535~01-1) experimental; urgency=low

  * Imported Upstream version 2.535~01
    * uses development version from CPAN to fix memory leaks
    * built with perl 5.14
  * control: added BD on libsdl-pango-dev

 -- Dominique Dumont <dod@debian.org>  Sat, 19 Nov 2011 18:00:08 +0100

libsdl-perl (2.534-1) experimental; urgency=low

  * New upstream version:
    + SDLx::Surface: added methods draw_trigon, draw_ellipse,
      draw_arc and draw_bezier [jtpalmer]
    * Lot of bug fixes. See upstream CHANGELOG for details
  * patches: fix spelling in SDL::RWOps man page
  * debian/NEWS: use changelog syntax to keep lintian happy

 -- Dominique Dumont <dod@debian.org>  Sun, 30 Oct 2011 11:54:04 +0100

libsdl-perl (2.533-1) experimental; urgency=low

  * new upstream version:
    WARNING: This version is NOT compatible with previous version
  * renamed source package (sdlperl -> libsdl=perl) to comply with
    debian perl policy
  * removed dirs and docs files
  * patches:
    - removed obsolete patches
    + added install_man_pages_correctly to avoid having man pages
      beginning with 'pods::'
    + added fix_spelling fix_whatis_entries patches
    + added do_not_ship_ttf_font patch, it's better to [build-]depend on
      ttf-sil-gentium-basic
  * control:
    + added dependency on libtie-simple-perl
    + added build dependency on libalien-sdl-perl libtest-most-perl
      xvfb xauth
    - removed conflicts with old frozen-bubble
    + added Breaks with list of packages/version
  * copyright: updated

 -- Dominique Dumont <dod@debian.org>  Sun, 25 Sep 2011 16:11:11 +0200

sdlperl (2.2.5-2) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (http://lists.debian.org/20110909115206.GK4829@hocevar.net)

 -- Dominique Dumont <dod@debian.org>  Mon, 12 Sep 2011 20:08:40 +0200

sdlperl (2.2.5-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryan@debian.org>  Fri, 06 Nov 2009 15:10:26 -0800

sdlperl (2.2.3.1-1) unstable; urgency=low

  * update my email address
  * New upstream version
  * remove 001_kfreebsd.diff, 020_fixexamples.diff,
    030_opengl_fixes.diff, 040_sprintf.diff, 050_pod2man_fixes.diff, and
    060_fix_example.diff ... all applied upstream

 -- Ryan Niebur <ryan@debian.org>  Wed, 30 Sep 2009 15:34:31 -0700

sdlperl (2.2.2.11-1) unstable; urgency=low

  * Add myself to Uploaders
  * add watch file
  * new upstream release
    - refresh patches
  * convert to dh7
  * change conflicts back to how it was in unstable, frozen-bubble works
    now
  * update upstream URL, use Homepage field
  * standards version 3.8.3
  * add Vcs-* fields
  * add ${misc:Depends} to Depends:
  * add patch to fix pod2man errors
  * upload to unstable,
    close bugs already fixed in experimental (Closes: 519605, 362974)
  * add 060_fix_example.diff, thanks to Daniel Burr (Closes: #518444)
  * this version does not segfault on exit (closes: 496792)

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 02 Sep 2009 00:30:51 -0700

sdlperl (2.1.2-2) experimental; urgency=low

  * debian/patches/040_sprintf.diff:
    + fix problematic use of sprintf when -D_FORTIFY_SOURCE=2 is used.
  * debian/README.source:
    + New file.
  * debian/control:
    + Bumped Standards-Version to 3.8.0.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 Dec 2008 19:25:22 +0100

sdlperl (2.1.2-1) experimental; urgency=low

  * New upstream version targetted to experimental (Closes: #362974).

  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Build-depend on libmodule-build-perl.
    + Build-depend on libtest-simple-perl.
    + Removed build-depend on libsdl-console-dev.
    + Conflict with frozen-bubble as it is known it has to be ported
      first.

  * debian/rules:
    + Modified to the use the new build system.

  * debian/patches/001_kfreebsd.diff:
    + Updated for new version.

  * debian/patches/010_fontpath.diff:
    + Rediffed.

  * debian/patches/020_fixexamples.diff:
    + Old patch: stripped merged part.

  * debian/patches/030_backwards_compatibility.diff:
    + Removed (anyway this version breaks the ABI).

  * debian/patches/030_glu_nurbs.diff:
    + Rediffed.

  * debian/patches/030_opengl_fixes.diff:
    + Rediffed.

  * debian/patches/030_sdl_console.diff:
    + Removed.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 May 2006 03:11:41 +0200

sdlperl (1.20.3-4) unstable; urgency=low

  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
  * debian/control:
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.
    + Build-depend on libsdl-gfx1.2-dev (>= 2.0.13-1) to make libsdl-perl
      installable again (Closes: #343624).
    + Build-depend on debhelper (>= 4.0).
  * debian/compat:
    + Set compat level to 4.

  * debian/patches/001_kfreebsd.diff:
    + Old patch: kFreeBSD support.

  * debian/patches/010_fontpath.diff:
    + Old patch: fix font paths in examples.

  * debian/patches/020_fixexamples.diff:
    + Old patch: fix examples so that they match the latest API.

  * debian/patches/030_backwards_compatibility.diff:
    + Old patch: backwards compatibility fix so as not to break frozen-bubble.

  * debian/patches/030_glu_nurbs.diff:
    + Old patch: activate NURBS support.

  * debian/patches/030_opengl_fixes.diff:
    + Old patch by Geoffrey Broadwell for erroneous use of SvNOK and an
      off-by-one error.

  * debian/patches/030_sdl_console.diff:
    + Old patch for SDL_console support.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Mar 2006 20:31:21 +0100

sdlperl (1.20.3-3) unstable; urgency=low

  * Makefile.PL:
    + Fixed wrongly applied patch (Closes: #319955).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  5 Oct 2005 17:33:53 +0200

sdlperl (1.20.3-2) unstable; urgency=low

  * Acknowledge NMU by Graham Wilson (Closes: #320548, #322435). Thank you.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Build-depend on libpng12-dev (Closes: #303703).
  * debian/copyright:
    + Updated the FSF address.
  * Makefile.PL:
    + Support for GNU/kFreeBSD, thanks to Aurélien Jarno (Closes: #319955).
  * OpenGL.xs:
    + Applied patch by Geoffrey Broadwell for erroneous use of SvNOK and an
      off-by-one error (Closes: #275769).
    + Re-enabled GLU NURBS (Closes: #297532).
  * test/OpenGL/tutorial:
    + Brought OpenGL tutorial samples in sync with the API (Closes: #297533).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  5 Oct 2005 10:37:08 +0200

sdlperl (1.20.3-1.1) unstable; urgency=medium

  * NMU with maintainer permission.
  * Rebuild for the C++ transition. (closes: #320548)

 -- Graham Wilson <graham@debian.org>  Wed, 10 Aug 2005 04:18:42 +0000

sdlperl (1.20.3-1) unstable; urgency=low

  * New upstream release (Closes: #243850).
  * debian/control:
    + Conflict with old versions of frozen-bubble which blindly poke into our
      internal structures.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Jun 2004 21:44:39 +0200

sdlperl (1.20.0-12) unstable; urgency=low

  * Rebuilt against latest libpng to get versioned symbols.
  * debian/control:
    + Updated libpng3-dev build-dependency to (>= 1.2.5.0-4).
    + Set policy to 3.6.0. No changes required.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 17 Jul 2003 12:19:12 +0200

sdlperl (1.20.0-11) unstable; urgency=low

  * debian/control:
    + We build-depend on libsdl-console-dev (>= 1.3-2.2) because previous
      versions did not have an soname. SDL::Console* works at last.
    + Removed the additional dependency on libsdl-console because the new
      libsdl-console-dev has proper shlib information.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Jun 2003 05:59:04 +0200

sdlperl (1.20.0-10) unstable; urgency=low

  * Removed hardcoded "gcc-3.2" in debian/rules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 May 2003 18:16:52 +0200

sdlperl (1.20.0-9) unstable; urgency=low

  * Updated the dependency on libsdl-console because older versions do not
    provide the .so.1 link (Closes: #194047, #194009).
  * Updated policy to 3.5.10.0.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 20 May 2003 19:24:46 +0200

sdlperl (1.20.0-8) unstable; urgency=low

  * Changed the section to perl.
  * Fixed our monthly frozen-bubble breakage by forcing final linking with
    g++ to avoid undefined libstdc++ symbols (Closes: #192071).

 -- Samuel Hocevar <sam@zoy.org>  Tue,  6 May 2003 03:18:30 +0200

sdlperl (1.20.0-7) unstable; urgency=low

  * Fucked up upload.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  6 May 2003 03:18:30 +0200

sdlperl (1.20.0-6) unstable; urgency=low

  * Activated linking against xlibmesa-glu-dev.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 18 Mar 2003 03:28:17 +0100

sdlperl (1.20.0-5) unstable; urgency=low

  * Updated build dependency on libsdl-mixer1.2-dev so that we depend on the
    correct libvorbis.

 -- Samuel Hocevar <sam@zoy.org>  Mon, 17 Mar 2003 20:52:55 +0100

sdlperl (1.20.0-4) unstable; urgency=low

  * Updated standards-version.
  * Changed build dependency on libgl-dev to xlibmesa-gl-dev to make the
    autobuilder happy.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 15 Mar 2003 15:25:21 +0100

sdlperl (1.20.0-3) unstable; urgency=low

  * Added a dependency on libsdl-console (Closes: #184429, #184497).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 14 Mar 2003 17:34:02 +0100

sdlperl (1.20.0-2) unstable; urgency=low

  * Activated SDL::Console.
  * Rebuilt against libsdl-gfx to activate SDL::GraphicTool.
  * Rebuilt against libsdl-ttf 2.0.
  * Checked all test scripts.
  * Applied a patch preventing crashes in SDL::Delay.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 11 Feb 2003 15:20:42 +0100

sdlperl (1.20.0-1) unstable; urgency=low

  * New upstream release (Closes: #179607).
  * Acknowledged -3.4 NMU (Closes: #159921).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  8 Feb 2003 03:52:07 +0100

sdlperl (1.16-3.4) unstable; urgency=low

  * NMU
  * HPPA needs -ffunction-sections before it can build -3.3.  Closes: #159921

 -- LaMont Jones <lamont@debian.org>  Sun, 13 Oct 2002 18:23:00 -0600

sdlperl (1.16-3.3) unstable; urgency=low

  * NMU for perl 5.8. No changes excpet build-dep on perl >= 5.8

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jul 2002 05:52:50 +0000

sdlperl (1.16-3) unstable; urgency=low

  * Changed libpng-dev build dependency to libpng3-dev.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 24 Jul 2002 00:33:23 +0200

sdlperl (1.16-2) unstable; urgency=low

  * Built against libpng-dev (Closes: #153813).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 24 Jul 2002 00:33:23 +0200

sdlperl (1.16-1) unstable; urgency=low

  * New upstream release.
  * Includes fix for SDL_TEXTWIDTH segfault (Closes: #138908).
  * Added sdl::sdl_display_format and sdl::sdl_free_surface for
    backwards compatibility so that frozen-bubble still works.
  * Included example programs (Closes: #140120).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  8 Apr 2002 01:54:55 +0200

sdlperl (1.12-1) unstable; urgency=low

  * Initial Release (Closes: #132876).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  4 Feb 2002 19:43:01 +0100
